# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`graylogcollectorsidecar`](#graylogcollectorsidecar): Installs and configures graylog-collector-sidecar

## Classes

### graylogcollectorsidecar

Installs and configures graylog-collector-sidecar

* **See also**
https://github.com/Graylog2/collector-sidecar
Graylog-Collector package
https://docs.graylog.org/en/2.4/pages/collector_sidecar.html
Graylog-Collector documentation

#### Parameters

The following parameters are available in the `graylogcollectorsidecar` class.

##### `api_url`

Data type: `String`

URL to the Graylog server

##### `tags`

Data type: `Array[String]`

Array of tags to set in the collector sidecar configuration

##### `version`

Data type: `String`

Version of the collector to ensure

##### `use_auth`

Data type: `Variant[Boolean, String]`

Use authentication for Github

##### `use_oauth`

Data type: `Variant[Boolean, String]`

Use OAuth instead of basic authentication for Github

##### `username`

Data type: `String`

Username for Github

##### `password`

Data type: `String`

Password for Github

##### `update_interval`

Data type: `Integer`

Graylog-Collector sidecar configuration item "update_interval". Check docs for info.

##### `tls_skip_verify`

Data type: `Boolean`

Graylog-Collector sidecar configuration item "tls_skip_verify". Check docs for info.

##### `send_status`

Data type: `Boolean`

Graylog-Collector sidecar configuration item "send_status". Check docs for info.

##### `node_id`

Data type: `String`

Graylog-Collector sidecar configuration item "node_id". Check docs for info.

##### `collector_id`

Data type: `String`

Graylog-Collector sidecar configuration item "collector_id". Check docs for info.

##### `log_path`

Data type: `String`

Graylog-Collector sidecar configuration item "log_path". Check docs for info.

##### `log_rotation_time`

Data type: `Integer`

Graylog-Collector sidecar configuration item "log_rotation_time". Check docs for info.

##### `log_max_age`

Data type: `Integer`

Graylog-Collector sidecar configuration item "log_max_age". Check docs for info.

##### `backends`

Data type: `Array[Hash]`

Graylog-Collector sidecar configuration item "backends". Check docs for info.

##### `service_creates`

Data type: `String`

Using graylog-collector to install the service creates this file [internal]

##### `sidecar_yaml_file`

Data type: `String`

Filename of the sidecar configuration yaml [internal]

##### `list_log_files`

Data type: `Optional[Array[String]]`

Graylog-Collector sidecar configuration item "list_log_files". Check docs for info.

Default value: `undef`

##### `package_suffix`

Data type: `Optional[String]`

The file suffix for the package file [internal]

Default value: `undef`

##### `package_provider`

Data type: `Optional[String]`

The package provider used to install the package [internal]

Default value: `undef`

